/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2010 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Claspath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include "bindings_java.h"
#include "org_gnome_gtk_GtkComboBoxEntry.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkComboBoxEntry_gtk_1combo_1box_1entry_1new
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_combo_box_entry_new();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkComboBoxEntry_gtk_1combo_1box_1entry_1new_1with_1model
(
	JNIEnv* env,
	jclass cls,
	jlong _model,
	jint _textColumn
)
{
	GtkWidget* result;
	jlong _result;
	GtkTreeModel* model;
	gint textColumn;

	// convert parameter model
	model = (GtkTreeModel*) _model;

	// convert parameter textColumn
	textColumn = (gint) _textColumn;

	// call function
	result = gtk_combo_box_entry_new_with_model(model, textColumn);

	// cleanup parameter model

	// cleanup parameter textColumn

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_gtk_GtkComboBoxEntry_gtk_1combo_1box_1entry_1new_1text
(
	JNIEnv* env,
	jclass cls
)
{
	GtkWidget* result;
	jlong _result;

	// call function
	result = gtk_combo_box_entry_new_text();

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_gtk_GtkComboBoxEntry_gtk_1combo_1box_1entry_1set_1text_1column
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jint _textColumn
)
{
	GtkComboBoxEntry* self;
	gint textColumn;

	// convert parameter self
	self = (GtkComboBoxEntry*) _self;

	// convert parameter textColumn
	textColumn = (gint) _textColumn;

	// call function
	gtk_combo_box_entry_set_text_column(self, textColumn);

	// cleanup parameter self

	// cleanup parameter textColumn
}

JNIEXPORT jint JNICALL
Java_org_gnome_gtk_GtkComboBoxEntry_gtk_1combo_1box_1entry_1get_1text_1column
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gint result;
	jint _result;
	GtkComboBoxEntry* self;

	// convert parameter self
	self = (GtkComboBoxEntry*) _self;

	// call function
	result = gtk_combo_box_entry_get_text_column(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}
